# web advent calendar

A dynamic php based advent calendar which can be easily configured via a json-config file

![image](/attachments/22fe9e10-d5c9-4229-81e0-9b0e52e5396b)


## Configuration

There are two different and identical configuration files. One is the "calendar_prod.json" which is loaded by default and the other is the "calendar_dev.json" which is only loaded in development mode

### Enable development-mode:

Add the following switch at the end of the URL of the web application to activate the deverlopmend mode

```/index.php?dev=1```

### Configuration parameter

Set width and height for the calendar:

```json
...
"config": {
    "calendarWidth": "472",
    "calendarHeight": "827",
    "useModal": "true",
    "showExtras": "true"
  },
...
```

Add entries for the days
```json
...
"entries": [
    {
      "unlockDate": "2020-12-19",
      "doorWidth": "118",
      "doorHeight": "118",
      "positionTop": "0",
      "positionLeft": "0",
      "doorImageLeft": "images/19.png",
      "backgroundImage": "images/background1x1.png",
      "url": "adv19"
    },
    ...
]
...
```

## Browser support

Unfortunately, older versions of Internet Explorer do not support CSS3 that well. The example calendar uses a fallback where the calendar doors are just hidden on hover.